Create Internal Collection

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API helps create an internal collection: a collect file link that users who are not part of the team cannot access. Team users must sign in to their WorkDrive account to access the collection link and upload files. Learn more about internal collections

Endpoints

OAuth Scope

WorkDrive.Collection.CREATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request POST \
  --url https://www.zohoapis.com/workdrive/api/v1/collections \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"personal_note":"Analysis potential leads and assign them to the Sales team","upload_file_size_limit":"10 MB","notify_every_submissions":true,"each_user_each_folder_fields":["name"],"parent_id":"vx57jc433ffa2c7524c51a5205d1849bc92fa","override_name_exist":false,"is_external":false,"expiration_date":"2021-05-20 11:45","collection_name":"Event Leads","uploader_note":"Share all leads that you have collected in the recent Dubai Trade Fair"},"type":"collections"}}'

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
personal_notestring(Optional)

A note is used as a reference by the creator of the collection. This note is only visible to the creator of the collection.

upload_file_size_limitstring(Optional)

To limit the size of a single file during submission.

notify_every_submissionsboolean(Optional)

To notify every user submission with bell notification (web), push notification (mobile), and email notification.

each_user_each_folder_fieldsarray(Optional)

To create a separate folder for each user to store their files. For an internal collection, the user name will be the default folder name.

parent_idstring(Required)

A unique ID of the destination folder where the collected files get uploaded.

override_name_existboolean(Optional)

To upload files with the same name as versions to the existing file; otherwise files will be added separately.

is_externalboolean(Required)

To set the collection link's visibility to either internal organization members or anyone on the internet.

expiration_datestring(Optional)

The date when the collection link expires. The date should be in the format: YYYY-MM-dd / YYYY-MM-dd HH:mm

collection_namestring(Required)

The name of the collection.

uploader_notestring(Optional)

A note for users who upload via the collection link.

typestring(Required)

The JSON:API resource type. Always "collections".

Allowed Values :
Show Values
collectionsCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "personal_note": "Analysis potential leads and assign them to the Sales team",
        "upload_file_size_limit": "10 MB",
        "notify_every_submissions": true,
        "each_user_each_folder_fields": [
          "name"
        ],
        "parent_id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
        "override_name_exist": false,
        "is_external": false,
        "expiration_date": "2021-05-20 11:45",
        "collection_name": "Event Leads",
        "uploader_note": "Share all leads that you have collected in the recent Dubai Trade Fair"
      },
      "type": "collections"
    }
  }
                
Show full

Response Example

COL020

COL012

COL012

COL001

COL011

COL022

COL005

COL007

COL017

COL006

COL009

COL008

COL010

COL021

U066

201
201
403
422
500
Copied!
  {
    "data": {
      "id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
      "type": "collections",
      "attributes": {
        "modified_time_i18": "May 9, 5:42 PM",
        "modifier_name": "Anna Baker",
        "link": "https://www.zohoapis.com/workdrive/collection/vx57jc433ffa2c7524c51a5205d1849bc92fa",
        "input_fields": [],
        "expiration_date": "May 20, 2021, 11:45 AM",
        "expiration_date_in_millis": 1621491300000,
        "created_time_i18": "Aug 9, 5:42 PM",
        "request_user_data": false,
        "total_uploads": 11,
        "modified_time": "May 9, 5:42 PM",
        "modified_time_in_millis": 1620562320000,
        "total_submissions": 23,
        "upload_file_size_limit_in_bytes": 10485760,
        "created_time": "May 9, 5:42 PM",
        "notify_every_submissions": true,
        "upload_file_size_limit": "10 MB",
        "set_upload_limit": false,
        "override_name_exist": false,
        "is_external": false,
        "personal_note": "Analysis potential leads and assign them to the Sales team",
        "each_user_each_folder": true,
        "each_user_each_folder_fields": [
          "name"
        ],
        "is_expired": false,
        "upload_limit_per_user": 0,
        "parent_id": "vx57jc433ffa2c7524c51a5205d1849bc92fa",
        "created_time_in_millis": 1620562320000,
        "creator_name": "Anna Baker",
        "space_id": "15532088",
        "collection_name": "Event Leads",
        "uploader_note": "Share all leads that you have collected in the recent Dubai Trade Fair",
        "status": 1
      },
      "relationships": {
        "submissions": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse92d3ced8a860d4efca7ba1648f7e3f69d/relationships/submissions",
            "related": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse92d3ced8a860d4efca7ba1648f7e3f69d/submissions"
          }
        }
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/api/v1/collections/7lse92d3ced8a860d4efca7ba1648f7e3f69d"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "COL020",
        "title": "Collection disabled by the admin"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL012",
        "title": "Your current plan does not support the collection feature."
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL001",
        "title": "Invalid collection name"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL011",
        "title": "For link visibility with 'Anyone on the Internet', the request user data attribute is mandatory"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL022",
        "title": "Only name parameter applicable for internal collection"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL005",
        "title": "The expiration date format should be in yyyy-mm-dd or yyyy-m-d hh:mm"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL007",
        "title": "Upload limit cannot be less than or equal to zero"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL017",
        "title": "Collection creation limit exceeded"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL006",
        "title": "The expiration date cannot be in the past"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL009",
        "title": "Upload file limit not matching"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL008",
        "title": "Input fields cannot be empty"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL010",
        "title": "Invalid file size format"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "COL021",
        "title": "Each user each folder field must be in anyone of request user data"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U066",
        "title": "Client User has no permission to create Collection"
      }
    ]
  }
                
Show full